# -------------------------------------------------------------------
# Copyright 2001-2004 The Apache Software Foundation.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
#  
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# -------------------------------------------------------------------

# -------------------------------------------------------------------
# P L U G I N  P R O P E R I E S
# -------------------------------------------------------------------
# Javadoc plugin.
# -------------------------------------------------------------------

maven.javadoc.author = true
maven.javadoc.destdir = ${maven.docs.dest}/apidocs

# optional properties for specifying a custom doclet
#maven.javadoc.docletpath=
#maven.javadoc.doclet=

maven.javadoc.links = 
#maven.javadoc.maxmemory
maven.javadoc.public = false
maven.javadoc.package = true 
maven.javadoc.private = false
maven.javadoc.stylesheet = ${plugin.resources}/stylesheet.css
maven.javadoc.use = true
maven.javadoc.version = true
maven.javadoc.useexternalfile = yes
maven.javadoc.windowtitle = ${pom.name} ${pom.currentVersion} API

#specify an alternate locale
#maven.javadoc.locale=en_US
